> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conductor.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Health check

> Checks whether the specified QuickBooks Desktop connection is active and can process requests end-to-end. This is useful for showing a "connection status" indicator in your app. If an error occurs, the typical Conductor error response will be returned. As with any request to QuickBooks Desktop, the health check may fail if the application is not running, the wrong company file is open, or if a modal dialog is open. Timeout is 60 seconds.



## OpenAPI

````yaml GET /quickbooks-desktop/health-check
openapi: 3.1.0
info:
  title: Conductor API
  version: 0.0.1
servers:
  - url: https://api.conductor.is/v1
security:
  - BearerAuth: []
paths:
  /quickbooks-desktop/health-check:
    get:
      summary: Health check
      description: >-
        Checks whether the specified QuickBooks Desktop connection is active and
        can process requests end-to-end. This is useful for showing a
        "connection status" indicator in your app. If an error occurs, the
        typical Conductor error response will be returned. As with any request
        to QuickBooks Desktop, the health check may fail if the application is
        not running, the wrong company file is open, or if a modal dialog is
        open. Timeout is 60 seconds.
      parameters:
        - in: header
          name: Conductor-End-User-Id
          description: The ID of the End-User to receive this request.
          schema:
            type: string
            description: The ID of the End-User to receive this request.
            example: end_usr_1234567abcdefg
            x-stainless-naming:
              typescript:
                method_argument: conductorEndUserId
              mcp:
                method_argument: conductorEndUserId
          required: true
      responses:
        '200':
          description: >-
            Returns an object with the duration of the health check in
            milliseconds. Returns an error if the health check fails, for which
            we strongly recommend displaying the property
            `error.userFacingMessage` to your end-user in your app.
          headers:
            Conductor-Request-Id:
              schema:
                type: string
                description: The unique identifier for this API request.
                example: req_1234567abcdefg
              required: true
          content:
            application/json:
              schema:
                type: object
                properties:
                  duration:
                    type: number
                    description: >-
                      The time, in milliseconds, that it took to perform the
                      health check.
                    example: 100
                  status:
                    type: string
                    const: ok
                    description: The status of the health check.
                    example: ok
                required:
                  - duration
                  - status
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Conductor from 'conductor-node';


            const conductor = new Conductor({
              apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
            });


            const response = await conductor.qbd.healthCheck({
            conductorEndUserId: 'end_usr_1234567abcdefg' });


            console.log(response.duration);
        - lang: Python
          source: |-
            import os
            from conductor import Conductor

            conductor = Conductor(
                api_key=os.environ.get("CONDUCTOR_SECRET_KEY"),  # This is the default and can be omitted
            )
            response = conductor.qbd.health_check(
                conductor_end_user_id="end_usr_1234567abcdefg",
            )
            print(response.duration)
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your Conductor secret key using Bearer auth (e.g., `"Authorization:
        Bearer {{YOUR_SECRET_KEY}}"`).

````

Built with [Mintlify](https://mintlify.com).